import { r as registerInstance, h } from './index-a8a6186c.js';
var Radio = /** @class */ (function () {
    function Radio(hostRef) {
        registerInstance(this, hostRef);
        /**
         * CSS Classes
         */
        this.class = '';
        /**
         * Label Classes
         */
        this.labelClass = '';
        /**
         * Checked
         */
        this.checked = false;
        /**
         * Disabled
         */
        this.disabled = false;
    }
    Radio.prototype.render = function () {
        var _a, _b;
        return (h("label", { class: (_a = {
                    radio: true
                },
                _a[this.labelClass] = Boolean(this.labelClass),
                _a) }, h("input", { class: (_b = {},
                _b[this.class] = Boolean(this.class),
                _b), type: "radio", name: this.name, disabled: this.disabled, checked: this.checked }), h("slot", null)));
    };
    Object.defineProperty(Radio, "style", {
        get: function () { return ".radio,.checkbox{cursor:pointer;display:inline-block;line-height:1.25;position:relative}.radio input,.checkbox input{cursor:pointer}.radio:hover,.checkbox:hover{color:#363636}[disabled].radio,[disabled].checkbox,fieldset[disabled] .radio,fieldset[disabled] .checkbox{color:#7a7a7a;cursor:not-allowed}.radio+.radio{margin-left:0.5em}"; },
        enumerable: true,
        configurable: true
    });
    return Radio;
}());
export { Radio as bm_radio };
